summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/binutils/binutils/binutils-uclibc-300-006_better_file_error.patch
diff options
context:
space:
mode:
authorKhem Raj <raj.khem@gmail.com>2014-02-01 01:00:15 -0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2014-02-02 22:37:40 +0000
commitd4b11e8f160350e4530e174d2c93e06fe90e48c6 (patch)
tree7e253c46b998de7a55ad6e8c22dfcc12733ab671 /meta/recipes-devtools/binutils/binutils/binutils-uclibc-300-006_better_file_error.patch
parenta42f84682fb0522beacfb445ccfd482fe536d629 (diff)
downloadast2050-yocto-poky-d4b11e8f160350e4530e174d2c93e06fe90e48c6.zip
ast2050-yocto-poky-d4b11e8f160350e4530e174d2c93e06fe90e48c6.tar.gz
binutils: Upgrade to 2.24
This builds and runs images for all qemu machines (From OE-Core rev: 015eca84f1b0f25868b47d2480bb60cea698f70e) Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-devtools/binutils/binutils/binutils-uclibc-300-006_better_file_error.patch')
-rw-r--r--meta/recipes-devtools/binutils/binutils/binutils-uclibc-300-006_better_file_error.patch45
1 files changed, 45 insertions, 0 deletions
diff --git a/meta/recipes-devtools/binutils/binutils/binutils-uclibc-300-006_better_file_error.patch b/meta/recipes-devtools/binutils/binutils/binutils-uclibc-300-006_better_file_error.patch
new file mode 100644
index 0000000..47bd8ff
--- /dev/null
+++ b/meta/recipes-devtools/binutils/binutils/binutils-uclibc-300-006_better_file_error.patch
@@ -0,0 +1,45 @@
+#!/bin/sh -e
+## 006_better_file_error.dpatch by David Kimdon <dwhedon@gordian.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Specify which filename is causing an error if the filename is a
+## DP: directory. (#45832)
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+Upstream-Status: Inappropriate [debian patch]
+
+@DPATCH@
+Index: binutils-2.22/bfd/opncls.c
+===================================================================
+--- binutils-2.22.orig/bfd/opncls.c
++++ binutils-2.22/bfd/opncls.c
+@@ -197,6 +197,13 @@ bfd_fopen (const char *filename, const c
+ {
+ bfd *nbfd;
+ const bfd_target *target_vec;
++ struct stat s;
++
++ if (stat (filename, &s) == 0)
++ if (S_ISDIR(s.st_mode)) {
++ bfd_set_error (bfd_error_file_not_recognized);
++ return NULL;
++ }
+
+ nbfd = _bfd_new_bfd ();
+ if (nbfd == NULL)
OpenPOWER on IntegriCloud